View Issue Details

IDProjectCategoryView StatusLast Update
0000332XMB1Metapublic2010-02-24 17:57
ReportermiqrogrooveAssigned Tomiqrogroove 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformPHP 5.3.xOSOS Version
Product Version1.9.11.06 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000332: PHP 5.3 Compatibility
DescriptionThis is a catch-all ticket for any issues related to PHP version 5.3.x only.

Please add the following information in comments:
* Severity of issue
* Frequency of issue (how many people reported it?)
* Link to at least one forum thread, or more if appropriate.

If you are reporting a bug that has not been discussed in the forum, please create a new ticket instead of replying to this one.
TagsNo tags attached.
MySQL Version
PHP Version5.3.x
Web Server
Browser
Flags
Original Reporter
SVN Revision2231

Relationships

parent of 0000337 closedmiqrogroove PHP 5.3 E_DEPRECATED Changes in 1.9.11.07 
parent of 0000341 closedmiqrogroove PHP 5.3/IIS CGI Compatibility 
parent of 0000343 closedmiqrogroove Forward Compatibility Improvement 
parent of 0000344 closedmiqrogroove Pspell No Longer Exists? 
parent of 0000348 closedmiqrogroove $ipcheck Option in config.php Throws Deprecated 
parent of 0000349 closedmiqrogroove PHP 5.2 Backward Compatibility 
parent of 0000351 closed mail(), error_log() Causing Timezone Warnings 

Activities

miqrogroove

2010-01-25 17:56

administrator   ~0000219

Found a list of issues posted at http://cvs.php.net/viewvc.cgi/php-src/UPGRADING?revision=PHP_5_3

miqrogroove

2010-01-25 20:17

administrator   ~0000220

Last edited: 2010-01-25 20:23

There are a couple of trivial matters that probably don't need patches:

set_magic_quotes_runtime() is deprecated, but is error-controlled in XMB. This can be factored into any plans to support PHP 6. That might also mean it is relevant to the Forward Compatibility ticket.

error_log() throws bogus Warning messages into the response output. I really didn't know what to make of that, so I reported it at http://bugs.php.net/bug.php?id=50839

Issue History

Date Modified Username Field Change
2010-01-23 18:06 miqrogroove New Issue
2010-01-23 18:14 miqrogroove Status new => confirmed
2010-01-23 18:14 miqrogroove Projection none => major rework
2010-01-23 18:14 miqrogroove ETA none => < 1 month
2010-01-23 18:14 miqrogroove Product Version => 1.9.11.06
2010-01-23 18:14 miqrogroove Target Version => 1.9.11.08
2010-01-23 18:25 miqrogroove PHP Version => 5.3.x
2010-01-23 20:55 miqrogroove Relationship added parent of 0000337
2010-01-24 15:48 miqrogroove Relationship added parent of 0000341
2010-01-24 18:38 miqrogroove Relationship added parent of 0000343
2010-01-24 18:43 miqrogroove Relationship added parent of 0000344
2010-01-25 00:42 miqrogroove Relationship added parent of 0000347
2010-01-25 01:22 miqrogroove Relationship added parent of 0000348
2010-01-25 01:48 miqrogroove Relationship deleted parent of 0000347
2010-01-25 15:48 miqrogroove Relationship added parent of 0000349
2010-01-25 17:56 miqrogroove Note Added: 0000219
2010-01-25 20:17 miqrogroove Note Added: 0000220
2010-01-25 20:23 miqrogroove Note Edited: 0000220
2010-01-25 20:50 miqrogroove Relationship added parent of 0000351
2010-01-26 18:32 miqrogroove SVN Revision => 2231
2010-01-26 18:32 miqrogroove Status confirmed => resolved
2010-01-26 18:32 miqrogroove Fixed in Version => 1.9.11.08
2010-01-26 18:32 miqrogroove Resolution open => fixed
2010-01-26 18:32 miqrogroove Assigned To => miqrogroove
2010-02-24 17:57 miqrogroove Status resolved => closed